curl --request POST \
--url http://sandbox.mintlify.com/students \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Smith",
"GPA": 3.95,
"gradeLevel": 1,
"attendanceStatus": "present",
"id": "01234"
}
'import requests
url = "http://sandbox.mintlify.com/students"
payload = {
"firstName": "John",
"lastName": "Smith",
"GPA": 3.95,
"gradeLevel": 1,
"attendanceStatus": "present",
"id": "01234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Smith',
GPA: 3.95,
gradeLevel: 1,
attendanceStatus: 'present',
id: '01234'
})
};
fetch('http://sandbox.mintlify.com/students', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://sandbox.mintlify.com/students",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'John',
'lastName' => 'Smith',
'GPA' => 3.95,
'gradeLevel' => 1,
'attendanceStatus' => 'present',
'id' => '01234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://sandbox.mintlify.com/students"
payload := strings.NewReader("{\n \"firstName\": \"John\",\n \"lastName\": \"Smith\",\n \"GPA\": 3.95,\n \"gradeLevel\": 1,\n \"attendanceStatus\": \"present\",\n \"id\": \"01234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://sandbox.mintlify.com/students")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"John\",\n \"lastName\": \"Smith\",\n \"GPA\": 3.95,\n \"gradeLevel\": 1,\n \"attendanceStatus\": \"present\",\n \"id\": \"01234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://sandbox.mintlify.com/students")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"John\",\n \"lastName\": \"Smith\",\n \"GPA\": 3.95,\n \"gradeLevel\": 1,\n \"attendanceStatus\": \"present\",\n \"id\": \"01234\"\n}"
response = http.request(request)
puts response.read_body{
"firstName": "John",
"lastName": "Smith",
"GPA": 3.95,
"gradeLevel": 1,
"attendanceStatus": "present",
"id": "01234"
}{
"error": 123,
"message": "<string>"
}Add Student
Creates a new student in the classroom.
curl --request POST \
--url http://sandbox.mintlify.com/students \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Smith",
"GPA": 3.95,
"gradeLevel": 1,
"attendanceStatus": "present",
"id": "01234"
}
'import requests
url = "http://sandbox.mintlify.com/students"
payload = {
"firstName": "John",
"lastName": "Smith",
"GPA": 3.95,
"gradeLevel": 1,
"attendanceStatus": "present",
"id": "01234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Smith',
GPA: 3.95,
gradeLevel: 1,
attendanceStatus: 'present',
id: '01234'
})
};
fetch('http://sandbox.mintlify.com/students', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://sandbox.mintlify.com/students",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'John',
'lastName' => 'Smith',
'GPA' => 3.95,
'gradeLevel' => 1,
'attendanceStatus' => 'present',
'id' => '01234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://sandbox.mintlify.com/students"
payload := strings.NewReader("{\n \"firstName\": \"John\",\n \"lastName\": \"Smith\",\n \"GPA\": 3.95,\n \"gradeLevel\": 1,\n \"attendanceStatus\": \"present\",\n \"id\": \"01234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://sandbox.mintlify.com/students")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"John\",\n \"lastName\": \"Smith\",\n \"GPA\": 3.95,\n \"gradeLevel\": 1,\n \"attendanceStatus\": \"present\",\n \"id\": \"01234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://sandbox.mintlify.com/students")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"John\",\n \"lastName\": \"Smith\",\n \"GPA\": 3.95,\n \"gradeLevel\": 1,\n \"attendanceStatus\": \"present\",\n \"id\": \"01234\"\n}"
response = http.request(request)
puts response.read_body{
"firstName": "John",
"lastName": "Smith",
"GPA": 3.95,
"gradeLevel": 1,
"attendanceStatus": "present",
"id": "01234"
}{
"error": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Student to add to the classroom.
The first name of the student.
1 - 60"John"
The last name of the student.
1 - 60"Smith"
Student's average grade in the class on a 4.0 scale. Two decimal points allowed.
0 <= x <= 43.95
Student's grade level (from 1st to 12th grade), expressed as an integer between 1 and 12.
1 <= x <= 121
Used to indicate if the student is present, late, or absent to class that day.
present, late, absent "present"
Identification number of the student written as a 5-digit number. The first 2 digits indicate the student's grade level. The last 3 digits indicate the student's number within the grade. The system supports up to 999 students in each grade level. Example: '01234', where the student is the 234th student in 1st grade.
5"01234"
Response
A new student resource has been created.
The first name of the student.
1 - 60"John"
The last name of the student.
1 - 60"Smith"
Student's average grade in the class on a 4.0 scale. Two decimal points allowed.
0 <= x <= 43.95
Student's grade level (from 1st to 12th grade), expressed as an integer between 1 and 12.
1 <= x <= 121
Used to indicate if the student is present, late, or absent to class that day.
present, late, absent "present"
Identification number of the student written as a 5-digit number. The first 2 digits indicate the student's grade level. The last 3 digits indicate the student's number within the grade. The system supports up to 999 students in each grade level. Example: '01234', where the student is the 234th student in 1st grade.
5"01234"